# rtp.h File Reference

`#include <opal/buildopts.h>`
`#include <ptlib/sockets.h>`
`#include <ptlib/safecoll.h>`
`#include <list>`

Include dependency graph for rtp.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | RTP_QOS
class | RTP_DataFrame
class | RTP_ControlFrame
struct | RTP_ControlFrame::ReceiverReport
struct | RTP_ControlFrame::SenderReport
struct | RTP_ControlFrame::ExtendedReport
struct | RTP_ControlFrame::SourceDescription
struct | RTP_ControlFrame::SourceDescription::Item
struct | RTP_ControlFrame::FbFCI
struct | RTP_ControlFrame::FbFIR
struct | RTP_ControlFrame::FbTSTO
class | OpalMediaStatistics
struct | OpalMediaStatistics::Fax
class | RTP_UserData
class | RTP_Session
struct | RTP_Session::Params
class | RTP_Session::ReceiverReport
class | RTP_Session::SenderReport
class | RTP_Session::SourceDescription
class | RTP_Session::EncodingLock
class | RTP_UDP
class | RTP_Encoding
class | SecureRTP_UDP

## Defines

#define | PDECLARE_RTPFilterNotifier(cls, fn) PDECLARE_NOTIFIER2(RTP_DataFrame, cls, fn, RTP_Session::SendReceiveStatus &)
#define | PCREATE_RTPFilterNotifier(fn) PCREATE_NOTIFIER2(fn, RTP_Session::SendReceiveStatus &)

## Functions

| PLIST (RTP_DataFrameList, RTP_DataFrame)
| PFACTORY_LOAD (RTP_Encoding)

## Define Documentation

#define PCREATE_RTPFilterNotifier | ( | fn |  | ) | PCREATE_NOTIFIER2(fn, RTP_Session::SendReceiveStatus &)

#define PDECLARE_RTPFilterNotifier | ( | cls,
|  | fn |  | ) | PDECLARE_NOTIFIER2(RTP_DataFrame, cls, fn, RTP_Session::SendReceiveStatus &)

## Function Documentation

PFACTORY_LOAD | ( | RTP_Encoding |  | ) |

PLIST | ( | RTP_DataFrameList | ,
|  | RTP_DataFrame |  |
| ) |  |  |